Subject: Re: rfc - Changing the way gitk and git-gui are managed

From: Jonathan Nieder <[email-masked]>
Date: Sat, 24 Jul 2010 12:22:46 -0500

Nicolas Sebrecht wrote:
> The 24/07/10, Jonathan Nieder wrote:
>> Nicolas Sebrecht wrote:

>>> What is the issue with the current status?
>>
>> Here is one:
>>
>>  $ git log --oneline -SListbox.font -- gitk-git/gitk
>>  $ git log --oneline --follow -SListbox.font -- gitk-git/gitk
>>  62ba514 Move gitk to its own subdirectory
>>  $ git log --oneline -SListbox.font -- gitk-git/gitk gitk
>>  207ad7b gitk: Set the font for all listbox widgets
>>  $
>
> I'm sorry, I don't get your point here.

If a person tries to drill into history to figure out the answer to a
question like "when was that code involving Listbox.font added", it is
totally counterintuitive how to do that now.

I run into this with git.git very often (you would think I would
learn).

I don’t have any argument with the rest of what you have said.  I
probably did not make it clear enough that I was not trying to
advocate for one side, only presenting pertinent information.

Regards,
Jonathan